/***************************************************************************    
 *  SEABAS Control base class "MySiTCP" (inherit SiTCP_Cnt)
 *
 *  File        : MySiTCP.h
 *  version     : v 1.0.0 2008/11/5
 *  Author      : Minoru Hirose
 *
 *  Description : class MySiTCP definition                   
 *                                        
 ***************************************************************************/
#ifndef MySiTCP_H
#define MySiTCP_H

#include"SiTCP_cnt.h"
#include<math.h>

class MySiTCP : public SiTCP_Cnt{
 public:
  void DAQStart(bool start);
  void NumOfTakeData(int num);
  void SetRSTHiTime(int time);
  void SetRSTInterbal(int time);
  void SetNIM_CLK(int num);
  void SetPixScanTime(int time);
  int TakeDatAt(unsigned short *data);
  int DAC_cnt(int ch, int mV);

  int tcpselect(int usec);

};
#endif

